ISCSICTL(8)

NAME
iscsictl - iSCSI initiator management utility

SYNOPSIS
iscsictl -A -h host -t target [-u user -s secret]
iscsictl -A -d discovery-host [-u user -s secret]
iscsictl -A -a [-c path]
iscsictl -A -n nickname [-c path]
iscsictl -R [-h host] [-t target]
iscsictl -R -a
iscsictl -R -n nickname [-c path]
iscsictl -L [-v]

DESCRIPTION
The iscsictl utility is used to configure the iSCSI initiator.

The following options are available:

-A  Add session.

-R  Remove session.

-L  List sessions.

-a  When adding, add all sessions defined in the configuration file. When removing, remove all currently established sessions.

-c  Path to the configuration file. The default is /etc/iscsi.conf.

-d  Target host name or address used for SendTargets discovery. When used, it will add a temporary discovery session. After discovery is done, sessions will be added for each discovered target, and the temporary discovery sesion will be removed.

-h  Target host name or address for statically defined targets.

-n  The "nickname" of session defined in the configuration file.

-t  Target name.

-v  Verbose mode.

Since connecting to the target is performed in background, non-zero exit status does not mean that the session was successfully established. Use iscsictl -L to check the connection status. The initiator notifies devd(8) when session gets connected or disconnected.

Note that in order to the iSCSI initiator to be able to connect to a target, the iscsid(8) daemon must be running.

Also note that FreeBSD currently supports two different initiators: the old one, iscsi_initiator(4), with its control utility iscontrol(8), and the new one, iscsi(4), with iscsictl and iscsid(8). The only thing the two have in common is the configuration file, iscsi.conf(5).

FILES
/etc/iscsi.conf
    iSCSI initiator configuration file.

EXIT STATUS
The iscsictl utility exits 0 on success, and >0 if an error occurs.

EXAMPLES
Attach to target qn.2012-06.com.example:target0, served by 192.168.1.1:
    iscsictl -A -t qn.2012-06.com.example:target0 -h 192.168.1.1

Disconnect all iSCSI sessions:
    iscsictl -Ra

SEE ALSO
iscsi.conf(5), iscsid(8)

HISTORY
The iscsictl command appeared in FreeBSD 10.0.

AUTHORS
The iscsictl was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation.